Bug 1302219 - (CVE-2016-2070) CVE-2016-2070 kernel: potential division by zero in TCP code
CVE-2016-2070 kernel: potential division by zero in TCP code
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151221,repor...
: Security
Depends On: 1302673
Blocks: 1302222
  Show dependency treegraph
 
Reported: 2016-01-27 03:55 EST by Andrej Nemec
Modified: 2016-05-10 12:19 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A divide-by-zero vulnerability was found in a way the kernel processes TCP connections. The error can occur if a connection starts another cwnd reduction phase by setting tp->prior_cwnd to the current cwnd (0) in tcp_init_cwnd_reduction(). A remote, unauthenticated attacker could use this flaw to crash the kernel (denial of service).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 06:27:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-01-27 03:55:24 EST
A divide-by-zero vulnerability was found in a way the kernel processes TCP connections. The error can occur if a connection starts another cwnd reduction phase by setting tp->prior_cwnd to the current cwnd (0) in tcp_init_cwnd_reduction(). A remote, unauthenticated attacker could use this flaw to crash the kernel (denial of service).

Original bug report:

https://lkml.org/lkml/2015/12/21/435

Oss-security reference:

http://seclists.org/oss-sec/2016/q1/198

CVE assignment:

http://seclists.org/oss-sec/2016/q1/211

Upstream fix:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=8b8a321ff72c785ed5e8b4cf6eda20b35d427390
Comment 2 Vladis Dronov 2016-01-28 06:23:04 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1302673]
Comment 3 Vladis Dronov 2016-01-28 06:27:04 EST
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2 as the code with the flaw is not present in the products listed.

Note You need to log in before you can comment on or make changes to this bug.